.contact-section {
  margin: 0 auto;
  padding-top: 96px;
}

.contact-section .container-fluid {
  background: var(--color-dark);
  padding: 96px 0;
}

.contact-section .required {
  color: var(--color-tan-forest);
}

.contact-section_subtitle {
  color: var(--color-gray);
  font-size: var(--font-size-p);
}

.contact-section_row {
  display: flex;
  justify-content: space-between;
  padding-right: calc(var(--bs-gutter-x) * 0.5);
  padding-left: calc(var(--bs-gutter-x) * 0.5);
}

.contact-section_row .map-container iframe {
  border-radius: var(--border-radius-primary);
  height: 100vh;
  max-height: 620px;
}

.contact-section_row_custom {
  display: flex;
  justify-content: space-between;
  margin-bottom: var(--mb-24);
  padding: 0;
}

.contact-section .contact-form {
  margin: 0 13px !important;
}
.contact-form label {
  color: var(--color-gray);
  font-size: var(--font-size-field);
}

.contact-form input,
.contact-form textarea {
  background-color: transparent;
  border: 1px solid #d5d7da;
  border-radius: var(--border-radius-field);
  color: var(--color-white);
  font-size: var(--font-size-span);
}

.contact-form input:focus,
.contact-form textarea:focus {
  background-color: transparent;
  border-color: var(--color-tan-forest);
  box-shadow: none;
  color: var(--color-white);
}

.contact-form input::placeholder,
.contact-form textarea::placeholder {
  color: var(--color-gray) !important;
  opacity: 0.8;
}

.contact-form .form-check-label {
  color: var(--color-gray);
  font-size: var(--font-size-span);
}

.contact-form .btn-submit {
  align-items: center;
  background-color: var(--color-tan-forest);
  border-radius: var(--border-radius-secondary);
  color: var(--color-dark);
  display: flex;
  font-weight: bold;
  justify-content: center;
  max-height: 48px;
  padding: 12px 18px;
  text-transform: uppercase;
}

.contact-form .btn-submit:hover {
  background-color: var(--color-soya);
  color: var(--color-white);
}

.form-check-input[type="checkbox"] {
  border-radius: 1.25em !important;
}

/* Contact Info Card */
.contact-info-card {
  background-color: var(--color-soya);
  background-image: radial-gradient(
    circle,
    rgba(192, 169, 105, 0.1) 2%,
    transparent 2%
  );
  background-size: 20px 20px;
  border-radius: var(--border-radius-secondary);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 200px;
  padding: 24px;
  position: relative;
  width: 100%;
}

.contact-info-card::before {
  background: url(https://chatyforrest.sk/wp-content/themes/chatyforrest/assets/images/pattern.svg);
  background-position: top;
  background-repeat: repeat;
  background-size: 51%;
  border-radius: 155px;
  bottom: 0;
  content: "";
  left: 0;
  opacity: 0.02;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 0;
}

.contact-info-card i {
  color: var(--color-tan-forest);
  display: block;
  font-size: 24px;
  margin-bottom: 10px;
}

.contact-info-card-img {
  align-items: center;
  background: var(--color-tan-forest);
  border-radius: 16px;
  display: flex;
  height: 48px;
  justify-content: center;
  position: relative;
  width: 48px;
  z-index: 100;
}

.contact-info-card-img a {
  align-items: center;
  display: flex;
  justify-content: center;
}

.contact-info-card-img a:hover {
  opacity: 0.8;
  transform: scale(1.1);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.contact-info-card a {
  color: var(--color-tan-forest) !important;
}

.contact-info-content {
  margin-top: 10px;
}

.contact-info-title {
  color: var(--color-gray);
  font-family: "TheSeasons";
  font-size: calc(var(--font-size-span) * 2);
  font-weight: bold;
  margin: 0;
}

.contact-info-value {
  color: var(--color-tan-forest);
  font-size: var(--font-size-span);
  font-weight: normal;
  margin: 5px 0 0;
  position: relative;
  z-index: 99 !important;
}
.contact-icon {
  height: 24px;
  width: 24px;
}

.contact-row-cards {
  margin: 0 auto;
  max-width: var(--max-width-content);
  width: 100%;
}

.contant-section_title {
  color: var(--color-tan-forest);
  font-size: var(--font-size-h2);
  margin-bottom: 20px;
}
.map-container {
  border-radius: var(--border-radius-primary);
  overflow: hidden;
}

.row .col-md-4 {
  display: flex;
  justify-content: center;
}

/* Media Queries (Mobile-first) */
@media (max-width: 767px) {
  .contact-row-cards {
    padding-right: calc(var(--bs-gutter-x) * 0.5);
    padding-left: calc(var(--bs-gutter-x) * 0.5);
  }

  .contact-section .container-fluid {
    padding: 96px 0;
  }

  .contact-section_row_custom {
    margin-bottom: var(--mb-48);
  }

  .contact-info-card {
    margin-bottom: var(--mb-24);
  }

  .row .col-md-4 {
    flex: 0 0 100%;
    max-width: 100%;
  }
}

@media (max-width: 991px) {
  .contant-section_mail {
    max-width: 100%;
  }
}

@media (min-width: 992px) {
  .col-lg-7 {
    flex: 0 0 auto;
    width: 55.333333% !important;
  }
}

@media (min-width: 1440px) {
  .col-lg-7 {
    flex: 0 0 auto;
    width: 60% !important;
  }
}
